Bug 1303794 - Import readNSState.py from RichM's repo
Summary: Import readNSState.py from RichM's repo
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: wibrown@redhat.com
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-02 00:39 UTC by Noriko Hosoi
Modified: 2016-11-03 20:39 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.3.5.7-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:39:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Noriko Hosoi 2016-02-02 00:39:55 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48449

We refer to this script on the wiki and in some other docs. We should include it in ds.

Original script: https://raw.githubusercontent.com/richm/scripts/master/readNsState.py

Comment 1 Noriko Hosoi 2016-02-02 00:47:39 UTC
Let me assign this bug to you, William.

Since we are going to rebase the source code for RHEL-7.3, this new script is also included in the 389-ds-base-1.3.5 release.

Could you please open a doc bug against "Configuration, Command, and File Reference" Guide and provide the description?

Thanks!

Comment 3 Viktor Ashirov 2016-06-14 09:07:00 UTC
/usr/bin/readnsstate is a user runnable executable, but it's missing a man page.
$ man readnsstate
No manual entry for readnsstate

Also it would be useful to provide the usage info using -h|--help switches, not only by executing the binary.
$ readnsstate --help
Traceback (most recent call last):
  File "/usr/bin/readnsstate", line 99, in <module>
    main()
  File "/usr/bin/readnsstate", line 86, in main
    for line in open(sys.argv[1]):
IOError: [Errno 2] No such file or directory: '--help'

$ readnsstate -h
Traceback (most recent call last):
  File "/usr/bin/readnsstate", line 99, in <module>
    main()
  File "/usr/bin/readnsstate", line 86, in main
    for line in open(sys.argv[1]):
IOError: [Errno 2] No such file or directory: '-h'

Using it with non-existent file should provide more user-friendly message than python traceback.

Comment 4 Noriko Hosoi 2016-06-14 20:43:55 UTC
(In reply to Viktor Ashirov from comment #3)
> /usr/bin/readnsstate is a user runnable executable, but it's missing a man
> page.
> $ man readnsstate
> No manual entry for readnsstate
Fixed upstream.

Regarding the help option, opened a separated ticket.  Indeed, it is nice to have one.  Let's revisit once the other 7.3 bugs are cleaned up...
https://fedorahosted.org/389/ticket/48890

Comment 5 Viktor Ashirov 2016-06-28 08:10:26 UTC
Build tested: 
389-ds-base-1.3.5.8-1.el7

Man page is present, marking as VERIFIED.

Comment 7 errata-xmlrpc 2016-11-03 20:39:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.